%global	momorel 12
%global	date    20060729

Name:           momonga-xgl-settings
Version:        0.0.1
Release: %{momorel}m%{?dist}
Summary:	Xgl configurator
        
Group:          User Interface/Desktops
License:        GPL
URL:            http://fedora-xgl.blogspot.com/
Source0:	momonga-xgl-settings-0.0.1-%{date}.tar.gz        
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: noarch
BuildRequires:  control-center-devel
Requires:       xgl-hardware-list control-center ccsm zenity
Requires:       gdm >= 2.14.8-2

%description
Xgl is an Xserver that uses OpenGL for its drawing operations.
This package includes tools which are used to setup Xgl for Momonga.
Followings are included,

* gnome-xgl-info: command line tools to get a status info of Xgl.
* gnome-xgl-swith: command line tools to setup Xgl.
* momonga-xgl-settings: GUI frontend for gnome-xgl-swith.

%prep

%setup -q 

%install
rm -rf %{buildroot}
SYSCONFIG=%{buildroot}%{_sysconfdir}/sysconfig/xgl
BINDIR=%{buildroot}%{_bindir}
SBINDIR=%{buildroot}%{_sbindir}
PAMDIR=%{buildroot}%{_sysconfdir}/pam.d
CONSOLE_APPDIR=%{buildroot}%{_sysconfdir}/security/console.apps
APPDIR=%{buildroot}/%{_datadir}/applications
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig/compiz
mkdir -p $SYSCONFIG
mkdir -p $BINDIR
mkdir -p $SBINDIR
mkdir -p $PAMDIR
mkdir -p $CONSOLE_APPDIR
mkdir -p $APPDIR
cp -f ./custom.conf.* $SYSCONFIG
cp -f ./gnome-* $BINDIR
cp -f ./momonga-xgl-setting $SBINDIR
cp -f ./momonga-xgl-setting.pam $PAMDIR/momonga-xgl-setting
cp -f ./momonga-xgl-setting.console $CONSOLE_APPDIR/momonga-xgl-setting
cp -f ./momonga-xgl-setting.desktop $APPDIR/
pushd $BINDIR
ln -s consolehelper momonga-xgl-setting
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/gnome-xgl-*
%{_bindir}/momonga-xgl-setting
%{_sbindir}/momonga-xgl-setting
%{_datadir}/applications/momonga-xgl-setting.desktop
%dir %{_sysconfdir}/sysconfig/compiz
%{_sysconfdir}/sysconfig/xgl/custom.conf.*
%{_sysconfdir}/pam.d/momonga-xgl-setting
%{_sysconfdir}/security/console.apps/momonga-xgl-setting


%changelog
* Fri May 25 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.1-12m)
- increase release for yum upgrade, Requires were changed

* Sun Jul 30 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-11m)
- clean up

* Fri Jul 21 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-10m)
- fix AIGLX-compiz support

* Tue Jul 18 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-9m)
- support AIGLX-Compiz

* Fri Jul 07 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.0.1-8m)
- sorry, I have forgotten to apply a patch actually...
- cleaned up spec

* Thu Jul 06 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.0.1-7m)
- fixed the bug that an option to gnome-xgl-switch is not quoted and not evaluated properly (momonga-xgl-settings-0.0.1-quoteoptions.patch)

* Thu Jun 22 2006 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.0.1-6m)
- update momonga-xgl-setting
- Req zenity

* Thu Jun 22 2006 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.0.1-5m)
- set LANG=ja_JP.EUC-JP into momonga-xgl-setting
- Req gdm >= 2.14.8-2

* Thu Jun 22 2006 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.0.1-4m)
- fix typo(momonga-xgl-settings-0.0.1-20060622.tar.gz)

* Thu Jun 22 2006 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.0.1-3m)
- add momonga-xgl-settings-0.0.1-20060622.tar.gz
-- add momonga-xgl-config command
-- sync Momonga config (custom.conf.*) 

* Fri Jun 16 2006 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.0.1-2m)
- add gdm patch. /etc/gdm/ -> /etc/X11/gdm

* Fri Jun 16 2006 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.0.1-1m)
- initial import Momonga

* Fri May 19 2006 Alphonse Van Assche <alcapcom@gmail.com> 0.0.1 
- move custom.conf.* -> /etc/sysconfig/xgl.
- add xgl setup status.
- run xgl on DISPLAY 0.
- Disable suse gui and add gset-compiz requiere for replace it.
 
* Wed May 10 2006 Alphonse Van Assche <alcapcom@gmail.com> 0.0.1 
- init package
